=== cctbx/Makefile ===
all:  install

install:
	@cp scitbx/boost_python/container_conversions.h ../include

clean_build:
	@rm -f ../include/container_conversions.h

clean_test:
	@test
