=== debian/changelog ===
librcsb-core-wrapper (1.000-3) unstable; urgency=low

  * Fixed make test "missing target" error (Closes: #724151).

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 30 Sep 2013 19:41:17 +0200

librcsb-core-wrapper (1.000-2) unstable; urgency=low

  * Corrected to install rcsb/ dir into -dev package instead of include/ dir.
  * Patched upstream to not try to remove "/dev/null" log file.
  * Changed interpreter of wrapper/python/setup.py.in from
    #!/usr/bin/env python to #!/usr/bin/python

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 19 Sep 2012 15:17:59 +0200

librcsb-core-wrapper (1.000-1) unstable; urgency=low

  [ Laszlo Kajan <lkajan@rostlab.org> ]
  * Initial release in Debian (Closes: #684403)

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 10 Aug 2012 11:25:46 +0200
