=== debian/control ===
Source: librcsb-core-wrapper
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Laszlo Kajan <lkajan@rostlab.org>
Build-Depends: debhelper (>= 7.3.5), doxygen, graphviz, libboost-python-dev, libxerces-c-dev,
 python-all-dev (>= 2.6.6-3~), python-all-dbg,
 libtool, bison, flex
Standards-Version: 3.9.4
Section: libs
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rcsb-core-wrapper/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rcsb-core-wrapper/trunk/
Homepage: http://sw-tools.rcsb.org/apps/CORE-WRAPPER/index.html
X-Python-Version: >= 2.5

Package: librcsb-core-wrapper0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library providing OO API to information in mmCIF format
 The RCSB Core Wrapper library was developed to provide an object-oriented
 application interface to information in mmCIF format. It includes several
 classes for accessing data dictionaries and mmCIF format data files.
 .
 This package contains the shared library.

Package: librcsb-core-wrapper0-dev
Section: libdevel
Architecture: any
Depends: librcsb-core-wrapper0 (= ${binary:Version}), ${misc:Depends},
Suggests: librcsb-core-wrapper0-dbg, librcsb-core-wrapper-doc
Provides: librcsb-core-wrapper-dev
Description: development files for librcsb-core-wrapper0
 The RCSB Core Wrapper library was developed to provide an object-oriented
 application interface to information in mmCIF format. It includes several
 classes for accessing data dictionaries and mmCIF format data files.
 .
 This package contains files necessary for developing applications with
 the library.

Package: librcsb-core-wrapper-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for librcsb-core-wrapper0
 The RCSB Core Wrapper library was developed to provide an object-oriented
 application interface to information in mmCIF format. It includes several
 classes for accessing data dictionaries and mmCIF format data files.
 .
 This package contains html documentation.

Package: librcsb-core-wrapper0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: librcsb-core-wrapper0 (= ${binary:Version}), ${misc:Depends}
Enhances: librcsb-core-wrapper0-dev, python-corepywrap
Description: debugging symbols for librcsb-core-wrapper0
 The RCSB Core Wrapper library was developed to provide an object-oriented
 application interface to information in mmCIF format. It includes several
 classes for accessing data dictionaries and mmCIF format data files.
 .
 This package contains the detached debug symbols for the library and the
 Python bindings.
 
Package: python-corepywrap
Architecture: any
Section: python
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, librcsb-core-wrapper0 (= ${binary:Version})
Suggests: librcsb-core-wrapper0-dbg, librcsb-core-wrapper-doc
Description: library that exports C++ mmCIF accessors to Python
 The RCSB Core Wrapper library was developed to provide an object-oriented
 application interface to information in mmCIF format. It includes several
 classes for accessing data dictionaries and mmCIF format data files.
 .
 This library provides Python bindings for librcsb-core-wrapper.
 
Package: python-corepywrap-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, librcsb-core-wrapper0 (= ${binary:Version}), python-dbg
Suggests: librcsb-core-wrapper0-dbg, librcsb-core-wrapper-doc
Description: library that exports C++ mmCIF accessors to Python (debug version)
 The RCSB Core Wrapper library was developed to provide an object-oriented
 application interface to information in mmCIF format. It includes several
 classes for accessing data dictionaries and mmCIF format data files.
 .
 This library provides Python bindings for librcsb-core-wrapper (debugging
 interpreter).
